aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Vijay Pai <vpai@google.com>2017-11-29 10:34:23 -0800
committerGravatar Vijay Pai <vpai@google.com>2017-11-29 10:34:23 -0800
commit3b9ac296708be160b289d38ea8b8905795874676 (patch)
tree5e1490a548e6192ae1dbee94efadcdd587cb79eb
parentf836c7e941beb003289dc6e9a58a6e47f5caa5f0 (diff)
Improve unsecure sanity test
-rwxr-xr-xtools/run_tests/sanity/check_unsecure.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/tools/run_tests/sanity/check_unsecure.sh b/tools/run_tests/sanity/check_unsecure.sh
index aabafedfb8..8584cbe36b 100755
--- a/tools/run_tests/sanity/check_unsecure.sh
+++ b/tools/run_tests/sanity/check_unsecure.sh
@@ -13,12 +13,15 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-
set -e
-# Make sure that there is no path from a known unsecure target
-# to an SSL library
+# Make sure that there is no path from known unsecure libraries and targets
+# to an SSL library. Any failure among these will make the script fail.
+
+test `bazel query 'somepath("//:grpc_unsecure", "//external:libssl")' 2>/dev/null | wc -l` -eq 0 || exit 1
+test `bazel query 'somepath("//:grpc++_unsecure", "//external:libssl")' 2>/dev/null | wc -l` -eq 0 || exit 1
+test `bazel query 'somepath("//:grpc++_codegen_proto", "//external:libssl")' 2>/dev/null | wc -l` -eq 0 || exit 1
+test `bazel query 'somepath("//test/cpp/microbenchmarks:helpers", "//external:libssl")' 2>/dev/null | wc -l` -eq 0 || exit 1
-test `bazel query "somepath(//test/cpp/microbenchmarks:helpers, //external:libssl)" 2>/dev/null | wc -l` -eq 0
+exit 0
-# Fall through with the exit code of that command